/** @overview nodeunit test case. */

var testResource = require('../../../test_resource'),
    mockReq = testResource.requireMockModule('mock_modules/mock_req'),
    mockContext = testResource.requireMockModule('mock_modules/mock_context'),
    defineReqApemanId = require('../../../../serverside/request/define_req_apeman_id.js');

exports.setUp = function (done) {
    done();
};

exports.tearDown = function (done) {
    done();
};


exports['Req apeman id.'] = function (test) {
    var req = mockReq({});
    req.apemanId = defineReqApemanId(mockContext({
        APEMAN_ID_COOKIE_KEY: 'apeman-id',
    }));
    req._apemanIdCache = 'foo';
    test.equal(req.apemanId(), 'foo');
    test.done();
};